From b6b2a7748224424b0193db916b15c118e43fc15c Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Fri, 10 Jul 2026 05:30:14 +0000
Subject: [PATCH] cmake,cmake-native: upgrade 4.3.4 -> 4.4.0,4.3.4 -> 4.4.0

---
 ...-native_4.3.4.bb => cmake-native_4.4.0.bb} | 97 +++++++++++++++++--
 meta/recipes-devtools/cmake/cmake.inc         |  2 +-
 .../cmake/{cmake_4.3.4.bb => cmake_4.4.0.bb}  |  0
 3 files changed, 89 insertions(+), 10 deletions(-)
 rename meta/recipes-devtools/cmake/{cmake-native_4.3.4.bb => cmake-native_4.4.0.bb} (33%)
 rename meta/recipes-devtools/cmake/{cmake_4.3.4.bb => cmake_4.4.0.bb} (100%)

diff --git a/meta/recipes-devtools/cmake/cmake-native_4.3.4.bb b/meta/recipes-devtools/cmake/cmake-native_4.4.0.bb
similarity index 33%
rename from meta/recipes-devtools/cmake/cmake-native_4.3.4.bb
rename to meta/recipes-devtools/cmake/cmake-native_4.4.0.bb
index a859cef151..d19c9243e4 100644
--- a/meta/recipes-devtools/cmake/cmake-native_4.3.4.bb
+++ b/meta/recipes-devtools/cmake/cmake-native_4.4.0.bb
@@ -1,6 +1,94 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- Utilities/cmlibuv/LICENSE
+# +++ Utilities/cmlibuv/LICENSE
+# @@ -1,6 +1,3 @@
+# -libuv is licensed for use as follows:
+# -
+# -====
+#  Copyright (c) 2015-present libuv project contributors.
+#  
+#  Permission is hereby granted, free of charge, to any person obtaining a copy
+# @@ -20,47 +17,3 @@
+#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+#  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
+#  IN THE SOFTWARE.
+# -====
+# -
+# -This license applies to parts of libuv originating from the
+# -https://github.com/joyent/libuv repository:
+# -
+# -====
+# -
+# -Copyright Joyent, Inc. and other Node contributors. All rights reserved.
+# -Permission is hereby granted, free of charge, to any person obtaining a copy
+# -of this software and associated documentation files (the "Software"), to
+# -deal in the Software without restriction, including without limitation the
+# -rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
+# -sell copies of the Software, and to permit persons to whom the Software is
+# -furnished to do so, subject to the following conditions:
+# -
+# -The above copyright notice and this permission notice shall be included in
+# -all copies or substantial portions of the Software.
+# -
+# -THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# -IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# -FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# -AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# -LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+# -FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
+# -IN THE SOFTWARE.
+# -
+# -====
+# -
+# -This license applies to all parts of libuv that are not externally
+# -maintained libraries.
+# -
+# -The externally maintained libraries used by libuv are:
+# -
+# -  - tree.h (from FreeBSD), copyright Niels Provos. Two clause BSD license.
+# -
+# -  - inet_pton and inet_ntop implementations, contained in src/inet.c, are
+# -    copyright the Internet Systems Consortium, Inc., and licensed under the ISC
+# -    license.
+# -
+# -  - stdint-msvc2008.h (from msinttypes), copyright Alexander Chemeris. Three
+# -    clause BSD license.
+# -
+# -  - pthread-fixes.c, copyright Google Inc. and Sony Mobile Communications AB.
+# -    Three clause BSD license.
+# --- Utilities/cmcurl/COPYING
+# +++ Utilities/cmcurl/COPYING
+# @@ -1,6 +1,6 @@
+#  COPYRIGHT AND PERMISSION NOTICE
+#  
+# -Copyright (c) 1996 - 2025, Daniel Stenberg, <daniel@haxx.se>, and many
+# +Copyright (c) 1996 - 2026, Daniel Stenberg, <daniel@haxx.se>, and many
+#  contributors, see the THANKS file.
+#  
+#  All rights reserved.
+# 
+#
+
 require cmake.inc
 inherit native
 
+LIC_FILES_CHKSUM += "file://LICENSE.rst;md5=69baa2b64b4976226122f87ecbad32c5 \
+                    file://Source/cmake.h;beginline=1;endline=2;md5=4ba59ac0e953e1a713eea8c55b1d531b \
+                    file://Utilities/cmjsoncpp/LICENSE;md5=5d73c165a0f9e86a1342f32d19ec5926 \
+                    file://Utilities/cmlibarchive/COPYING;md5=7ce08437ff7f5e24d72e666313ae4084 \
+                    file://Utilities/cmexpat/COPYING;md5=f4fedd6116da0e171f7cb4d2923d7ac2 \
+                    file://Utilities/cmlibrhash/COPYING;md5=a8c2a557a5c53b1c12cddbee98c099af \
+                    file://Utilities/cmlibuv/LICENSE;md5=74b6f2f7818a4e3a80d03556f71b129b \
+                    file://Utilities/cmcurl/COPYING;md5=0515352b285b9c3f66464b135c9c0fdc \
+                    file://Utilities/cmcppdap/LICENSE;md5=3b83ef96387f14655fc854ddc3c6bd57 \
+                    "
 DEPENDS += "bzip2-replacement-native xz-native zlib-native ncurses-native zstd-native openssl-native"
 
 SRC_URI += "file://OEToolchainConfig.cmake \
@@ -8,15 +96,6 @@ SRC_URI += "file://OEToolchainConfig.cmake \
             "
 
 LICENSE:append = " & BSD-1-Clause & MIT & BSD-2-Clause & curl & Apache-2.0"
-LIC_FILES_CHKSUM:append = " \
-    file://Utilities/cmjsoncpp/LICENSE;md5=5d73c165a0f9e86a1342f32d19ec5926 \
-    file://Utilities/cmlibarchive/COPYING;md5=7ce08437ff7f5e24d72e666313ae4084 \
-    file://Utilities/cmexpat/COPYING;md5=f4fedd6116da0e171f7cb4d2923d7ac2 \
-    file://Utilities/cmlibrhash/COPYING;md5=a8c2a557a5c53b1c12cddbee98c099af \
-    file://Utilities/cmlibuv/LICENSE;md5=ad93ca1fffe931537fcf64f6fcce084d \
-    file://Utilities/cmcurl/COPYING;md5=72f4e9890e99e68d77b7e40703d789b8 \
-    file://Utilities/cmcppdap/LICENSE;md5=3b83ef96387f14655fc854ddc3c6bd57 \
-"
 
 B = "${WORKDIR}/build"
 do_configure[cleandirs] = "${B}"
diff --git a/meta/recipes-devtools/cmake/cmake.inc b/meta/recipes-devtools/cmake/cmake.inc
index f08b0715ba..85b444d9f9 100644
--- a/meta/recipes-devtools/cmake/cmake.inc
+++ b/meta/recipes-devtools/cmake/cmake.inc
@@ -19,7 +19,7 @@ CMAKE_MAJOR_VERSION = "${@'.'.join(d.getVar('PV').split('.')[0:2])}"
 SRC_URI = "https://cmake.org/files/v${CMAKE_MAJOR_VERSION}/cmake-${PV}.tar.gz \
            "
 
-SRC_URI[sha256sum] = "fdeff897b9eb49d764539f2b1edc6eb7e1440df325678a97c1978499e931adda"
+SRC_URI[sha256sum] = "65757f442fdd242e27f1728fc26dc0cba4164f7a0791a5c788631c00080369bc"
 
 UPSTREAM_CHECK_REGEX = "cmake-(?P<pver>\d+(\.\d+)+)\.tar"
 
diff --git a/meta/recipes-devtools/cmake/cmake_4.3.4.bb b/meta/recipes-devtools/cmake/cmake_4.4.0.bb
similarity index 100%
rename from meta/recipes-devtools/cmake/cmake_4.3.4.bb
rename to meta/recipes-devtools/cmake/cmake_4.4.0.bb
-- 
2.47.1

